README - Ubuntu (18.x+) and others - How to create an application short


1 - Extract the archive in a dedicated directory
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

First place the all Rename My TV files in a specific directory.
For example, extract the archive in the directory "/usr/share/RenameMyTVSeries" (requires "root" access).

You should have a structure like something like this in that directory (depending on the RMTV version):

drwxr-xr-x   3 root root     4096 Jun 11 06:25 .
drwxr-xr-x 322 root root    12288 Jun 11 06:21 ..
-rwxr--r--   1 root root 75282080 Dec 31 18:18 ffmpeg
-rwxr--r--   1 root root 75183968 Dec 31 18:18 ffprobe
drwxr-xr-x   2 root root     4096 Jun 11 06:22 icons
-rwxr-xr-x   1 root root  8032712 May 28 08:10 RenameMyTVSeries
-rw-r--r--   1 root root      375 Jun 11 06:26 RenameMyTVSeries.desktop


2 - Verify the RenameMyTVSeries.desktop file
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

In the "RenameMyTVSeries.desktop" file, verify that "Exec" and "Icon" are matching the location where you saved all the RMTV files.
In this example "/usr/share/RenameMyTVSeries".

The example content is:

[Desktop Entry]
Encoding=UTF-8
Version=1.0
Type=Application
Name=RenameMyTVSeries
GenericName=Rename My TV Series
Comment=Utility to rename TV show episode files
Type=Application
Categories=Utility;
Terminal=false
Keywords=rename;files;tv;series;shows;video;
NoDisplay=true
Exec=/usr/share/RenameMyTVSeries/RenameMyTVSeries
Icon=/usr/share/RenameMyTVSeries/icons/512x512.png


3 - Move the RenameMyTVSeries.desktop to your applications directory
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Copy or Move the RenameMyTVSeries.desktop to the applications shortcut directory.
Per Linux distro this may be a different path, for example:

~/.local/share/applications
or
~/.local/applications


4 - Mark RenameMyTVSeries.desktop as Executable
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

Assuming you copied the RenameMyTVSeries.desktop file to ~/.local/share/applications:

chmod +x ~/.local/share/applications/RenameMyTVSeries.desktop

You can also right click RenameMyTVSeries.desktop - Properties - Permissions - check "Allow this file to run as a program"

If you forget to do this, double clicking will result in a "Untrusted application launcher".
If that happens, just click "trust and launch", which will result in the same thing.



For more info see:

* Ubuntu Application shortcuts:
https://linuxconfig.org/how-to-create-desktop-shortcut-launcher-on-ubuntu-18-04-bionic-beaver-linux

* Filesystem Hierarchy:
https://en.wikipedia.org/wiki/Filesystem_Hierarchy_Standard